/*
 * Consultant.cc    Exercise P-E-M-C, CRTP, Step 3.
 */
#include "Consultant.h"
#include "CRN.h"
#include "Date.h"
#include <string>

namespace IDA_Person
{
   using namespace std;
   using namespace IDA_Date;

   Consultant::Consultant(const string& name, 
			  const CRN&    crn,
			  const Date&   e_date,
			  int           e_nbr,
			  double        salary,
			  int           dept)
     : Person_Cloneable{ name, crn, e_date, e_nbr, salary, dept }
   {}

   string Consultant::str() const
   {
      return Person::str() + " (Consultant) " + get_employment_date().str() + ' ' 
	 + std::to_string(get_department());
   }

} // namespace IDA_Person
