/*
 * Date.cc
 */
#include "Date.h"
#include <iostream>
#include <iomanip>
#include <string>
#include <sstream>
#include "Date.h"

namespace IDA_Date
{
   using namespace std;

   unsigned Date::get_year() const
   {
      return year_;
   }

   void Date::set_year(unsigned year)
   {
      year_ = year;
   }

   unsigned Date::get_month() const
   {
      return month_;
   }

   void Date::set_month(unsigned month)
   {
      month_ = month;
   }

   unsigned Date::get_day() const
   {
      return day_;
   }

   void Date::set_day(unsigned day)
   {
      day_ = day;
   }

   string Date::str() const
   {
      ostringstream os;
      char filler = os.fill('0');
      os << year_ << '-' << setw(2) << month_ << '-' << setw(2) << day_;
      os.fill(filler);
      return os.str();
   }

   ostream& operator<<(ostream& os, const Date& d)
   {
      return os << d.str();
   }

} // namespace IDA_Date
