 /*
  * Person.cc    Exercise P-E-M-C, CRTP, Step 3.
  */
#include "CRN.h"
#include "Person.h"
#include <string>

namespace IDA_Person
{
   using namespace std;

   Person::Person(const string& name, const CRN& crn)
      : name_{ name }, crn_{ crn } 
   {}

   string Person::str() const
   {
      return name_ + ' ' + crn_.str();
   }

   string Person::get_name() const
   {
      return name_;
   }

   void Person::set_name(const string& name)
   {
      name_ = name;
   }

   CRN Person::get_crn() const
   {
      return crn_;
   }

   void Person::set_crn(const CRN& crn)
   {
      crn_ = crn;
   }

   ostream& operator<<(ostream& os, const Person& p)
   {
      return os << p.str();
   }

} // namespace IDA_Person
